import addSnapshotSerializer from "../../../utils/snapshot";

jest.mock("../../Contexts/VehicleContext");
jest.mock("../../Contexts/StatusContext");
jest.mock("../../Contexts/UserContext");
jest.mock("@material-ui/core/utils/unstable_useId", () =>
  jest.fn().mockReturnValue("mui-test-id")
);

import { render, waitFor } from "@testing-library/react";
import { BrowserRouter } from "react-router-dom";
import { TEST_AUTH_OBJECT_FISKER } from "../../../utils/testing";
import { setToken } from "../../Contexts/UserContext";
import CANSignalsTab from "./CANSignalsTab";

const renderCANSignalsTab = async () => {
  const { container } = render(
    <BrowserRouter>
      <CANSignalsTab vin="TESTVIN1234567890" />
    </BrowserRouter>
  );
  await waitFor(() => {
    /* render */
  });
  return container;
};

describe("CANSignalsTab", () => {
  beforeAll(() => {
    addSnapshotSerializer(expect);
  });

  it("Render", async () => {
    setToken(TEST_AUTH_OBJECT_FISKER);
    const container = await renderCANSignalsTab();
    expect(container).toMatchSnapshot();
  });
});

